<div class="content " *ngIf="isadmin()">
        
    <div class="mb-4">
        <nav style="--bs-breadcrumb-divider: '>';" aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">
                    <a href="#">
                        <i class="bi bi-globe2 small me-2"></i> Dashboard
                    </a>
                </li>
                <li class="breadcrumb-item active" aria-current="page">Orders</li>
            </ol>
        </nav>
    </div>

    <div class="card">
        <div class="card-body">
            <div class="d-md-flex gap-4 align-items-center">
                <div class="d-none d-md-flex">All Orders</div>
                <div class="d-md-flex gap-4 align-items-center">
                    <form class="mb-3 mb-md-0">
                        <div class="row g-3">
                            <div class="col-md-3">
                                <select class="form-select">
                                    <option>Sort by</option>
                                    <option value="desc">Desc</option>
                                    <option value="asc">Asc</option>
                                </select>
                            </div>
                            <div class="col-md-3">
                                <select class="form-select">
                                    <option value="10">10</option>
                                    <option value="20">20</option>
                                    <option value="30">30</option>
                                    <option value="40">40</option>
                                    <option value="50">50</option>
                                </select>
                            </div>
                            <div class="col-md-6">
                                <div class="input-group">
                                    <input type="text" class="form-control" placeholder="Search">
                                    <button class="btn btn-outline-light" type="button">
                                        <i class="bi bi-search"></i>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="dropdown ms-auto">
                    <a href="#" data-bs-toggle="dropdown" class="btn btn-primary dropdown-toggle" aria-haspopup="true" aria-expanded="false">Actions</a>
                    <div class="dropdown-menu dropdown-menu-end">
                        <a href="#" class="dropdown-item">Action</a>
                        <a href="#" class="dropdown-item">Another action</a>
                        <a href="#" class="dropdown-item">Something else here</a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="table-responsive" tabindex="1" style="overflow: hidden; outline: none;">
        <table class="table table-custom table-lg mb-0" id="orders">
            <thead>
            <tr>
                <th>
                    <input class="form-check-input select-all" type="checkbox" data-select-all-target="#orders" id="defaultCheck1">
                </th>
                <th>ID</th>
                <th>Name</th>
                <th>Date</th>
                <!-- <th>Total</th> -->
                <th>Status</th>
                <th class="text-end">Actions</th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let o of listorder">
                <td>
                    <input class="form-check-input" type="checkbox">
                </td>
                <td>
                    <a href="#">{{o.id}}</a>
                </td>
                <td>{{o.client.firstName}} </td>
                <td>{{o.date}}</td>
                <!-- <td>$239,00</td> -->
                <td>
                    <span class="badge bg-primary">{{o.status}}</span>
                </td>
                <td class="text-end">
                    <div class="d-flex">
                        <div class="dropdown ms-auto">
                            <a href="#" data-bs-toggle="dropdown" class="btn btn-floating" aria-haspopup="true" aria-expanded="false">
                                <i class="bi bi-three-dots"></i>
                            </a>
                            <div class="dropdown-menu dropdown-menu-end" style="margin: 0px;">
                                <a href="#" class="dropdown-item">Show</a>
                                <a href="#" class="dropdown-item">Edit</a>
                                <a href="#" class="dropdown-item">Delete</a>
                            </div>
                        </div>
                    </div>
                </td>
            </tr>
         
         
            </tbody>
        </table>
    </div>

    <nav class="mt-4" aria-label="Page navigation example">
        <ul class="pagination justify-content-center">
            <li class="page-item">
                <a class="page-link" href="#" aria-label="Previous">
                    <span aria-hidden="true">«</span>
                </a>
            </li>
            <li class="page-item active"><a class="page-link" href="#">1</a></li>
            <li class="page-item"><a class="page-link" href="#">2</a></li>
            <li class="page-item"><a class="page-link" href="#">3</a></li>
            <li class="page-item">
                <a class="page-link" href="#" aria-label="Next">
                    <span aria-hidden="true">»</span>
                </a>
            </li>
        </ul>
    </nav>

    </div>


















    <!-- orderClient -->
    <div class="row" *ngIf="isclient()">
        <div class="col-md-8">
            
    <div class="card widget mb-4">
        <h5 class="card-header">My Orders</h5>
        <div class="card-body">
            <div class="d-flex gap-4 align-items-center" data-bs-toggle="collapse" aria-expanded="false" data-bs-target="#myOrders26598" role="button">
                <!-- <div><strong>Date</strong>: 2 May 2021</div>
                <div>2 Items</div>
                <div><strong>Total</strong>: $2.882,10</div>
                <div class="bi bi-chevron-down ms-auto"></div> -->
            </div>
            <div class="collapse show mt-4" id="myOrders26598">
                <hr class="mb-0">
                <div class="table-responsive" tabindex="1" style="overflow: hidden; outline: none;">
                    <table class="table table-custom mb-0">
                        <thead>
                        <tr>
                            <th>Photo</th>
                            <th>Name</th>
                            <th>Quantity</th>
                            <th>Price</th>
                            <th>Total</th>
                            <th>date</th>

                            <th class="text-end">Actions</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr *ngFor="let o of listorderclient">
                            <td>
                                <a href="#">
                                    <img src="../../assets/images/products/2.jpg" class="rounded" width="40" alt="...">
                                </a>
                            </td>
                            <td>Shoe</td>
                            <td>1</td>
                            <td>$500,30</td>
                            <td>$500,30</td>
                            <td>{{o.date}}</td>

                            <td class="text-end">
                                <div class="d-flex">
                                    <div class="dropdown ms-auto">
                                        <a href="#" data-bs-toggle="dropdown" class="btn btn-floating" aria-haspopup="true" aria-expanded="false">
                                            <i class="bi bi-three-dots"></i>
                                        </a>
                                        <div class="dropdown-menu dropdown-menu-end">
                                            <a href="#" class="dropdown-item">Action</a>
                                            <a href="#" class="dropdown-item">Another action</a>
                                            <a href="#" class="dropdown-item">Something else here</a>
                                        </div>
                                    </div>
                                </div>
                            </td>
                        </tr>
                 
                        </tbody>
                    </table>
                </div>
                <!-- <div>Order number: <a href="#">#26598</a></div> -->
            </div>
        </div>
    </div>
    <!-- <div class="card mb-4">
        <div class="card-body">
            <div class="d-flex gap-4 align-items-center" data-bs-toggle="collapse" aria-expanded="false" data-bs-target="#myOrders53211" role="button">
                <div><strong>Date</strong>: 10 May 2021</div>
                <div>1 Item</div>
                <div><strong>Total</strong>: $500,30</div>
                <div class="bi bi-chevron-down ms-auto"></div>
            </div>
            <div class="collapse" id="myOrders53211">
                <hr class="mb-0">
                <div class="table-responsive" tabindex="2" style="overflow: hidden; outline: none;">
                    <table class="table table-custom mb-0">
                        <thead>
                        <tr>
                            <th>Photo</th>
                            <th>Name</th>
                            <th>Quantity</th>
                            <th>Price</th>
                            <th>Created At</th>
                            <th class="text-end">Actions</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>
                                <a href="#">
                                    <img src="../../assets/images/products/6.jpg" class="rounded" width="40" alt="...">
                                </a>
                            </td>
                            <td>Shoe</td>
                            <td>1</td>
                            <td>$500,30</td>
                            <td>$500,30</td>
                            <td class="text-end">
                                <div class="d-flex">
                                    <div class="dropdown ms-auto">
                                        <a href="#" data-bs-toggle="dropdown" class="btn btn-floating" aria-haspopup="true" aria-expanded="false">
                                            <i class="bi bi-three-dots"></i>
                                        </a>
                                        <div class="dropdown-menu dropdown-menu-end">
                                            <a href="#" class="dropdown-item">Action</a>
                                            <a href="#" class="dropdown-item">Another action</a>
                                            <a href="#" class="dropdown-item">Something else here</a>
                                        </div>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <div>Order number: <a href="#">#53211</a></div>
            </div>
        </div>
    </div>
    <div class="card mb-4">
        <div class="card-body">
            <div class="d-flex gap-4 align-items-center" data-bs-toggle="collapse" aria-expanded="false" data-bs-target="#myOrders53281" role="button">
                <div><strong>Date</strong>: 20 Apr 2021</div>
                <div>3 Items</div>
                <div><strong>Total</strong>: $1.286,50</div>
                <div class="bi bi-chevron-down ms-auto"></div>
            </div>
            <div class="collapse" id="myOrders53281">
                <hr class="mb-0">
                <div class="table-responsive" tabindex="3" style="overflow: hidden; outline: none;">
                    <table class="table table-custom">
                        <thead>
                        <tr>
                            <th>Photo</th>
                            <th>Name</th>
                            <th>Quantity</th>
                            <th>Price</th>
                            <th>Total</th>
                            <th>Date</th>

                            <th class="text-end">Actions</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr *ngFor="let o of listorderclient">
                            <td>
                                <a href="#">
                                    <img src="../../assets/images/products/8.jpg" class="rounded" width="40" alt="...">
                                </a>
                            </td>
                            <td>Headphone</td>
                            <td>1</td>
                            <td>$870,50</td>
                            <td>$870,50</td>
                            <td>{{o.date}}</td>

                            <td class="text-end">
                                <div class="d-flex">
                                    <div class="dropdown ms-auto">
                                        <a href="#" data-bs-toggle="dropdown" class="btn btn-floating" aria-haspopup="true" aria-expanded="false">
                                            <i class="bi bi-three-dots"></i>
                                        </a>
                                        <div class="dropdown-menu dropdown-menu-end">
                                            <a href="#" class="dropdown-item">Action</a>
                                            <a href="#" class="dropdown-item">Another action</a>
                                            <a href="#" class="dropdown-item">Something else here</a>
                                        </div>
                                    </div>
                                </div>
                            </td>
                        </tr>
                      
                      
                        </tbody>
                    </table>
                </div>
                <div>Order number: <a href="#">#53281</a></div>
            </div>
        </div>
    </div> -->

        </div>
  
    </div>